Subject: Re: Missing headers with -mno-cygwin
From: Graham Murray <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Nov 2001 14:12:50 +0000

Pavel Tsekov <[email-masked]> writes:

> Graham Murray wrote:
>> 
>> On trying to build an application which uses -mno-cygwin, the
>> compilation fails because it cannot find "standard" sytem headers. I
>> added "-v" to the CFLAGS and the output follows. I am sure that this
>> worked about 2 weeks ago, and since then I have only used the setup
>> (from the web page) utility to keep everything up-to-date.
>> 
>> In file included from h-basic.h:20,
>>                  from angband.h:19,
>>                  from artifact.c:13:
>> h-system.h:20: stdio.h: No such file or directory
>> h-system.h:21: ctype.h: No such file or directory
>> h-system.h:22: errno.h: No such file or directory
>> h-system.h:28: stdlib.h: No such file or directory
>> h-system.h:50: time.h: No such file or directory
>> h-system.h:59: io.h: No such file or directory
>> h-system.h:67: memory.h: No such file or directory
>> h-system.h:73: fcntl.h: No such file or directory
>> h-system.h:104: string.h: No such file or directory
>> make: *** [artifact.o] Error 1
>
> I hate to ask this :) Do you have these headers in the
> /usr/include/mingw directory ?

No. The /usr/include/mingw directory is almost empty.

  c:/cygwin/usr/include/mingw:
  total 3  free 6057282
  drwxrwxrwx   2 gmurray  root        0 Nov 13 07:57 .
  drwxrwxrwx   2 gmurray  root        0 Nov 15 12:54 ..
  -rw-rw-rw-   1 gmurray  root       16 May 14  2001 GL
  -rw-rw-rw-   1 gmurray  root     2721 Jun 18 03:02 _G_config.h
  -rw-rw-rw-   1 gmurray  root       20 May 14  2001 glui.h
  -rw-rw-rw-   1 gmurray  root       21 May 14  2001 gluix.h

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/